stock NewKick(playerid) {
	new name[MAX_PLAYER_NAME];
	GetPlayerName(playerid, name, MAX_PLAYER_NAME);
    SetTimerEx("KickPublic", 1000, 0, "s", name);
    return 1;
}

forward KickPublic(name[]);
public KickPublic(name[]) {
	new playerid;
	if(!sscanf(name, "u", playerid)) {
		ResetPlayerWeaponsEx(playerid);
	 	Kick(playerid);
	}
}

#define Kick(%0) NewKick(%0)